package com.tmerclub.cloud.common.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
/**
 * @author lanhai
 */
public class EsOrderVirtualInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "虚拟核销id")
    private Long orderVirtualInfoId;

    @Schema(description = "订单ID")
    private Long orderId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "核销门店id")
    private Long stationId;

    @Schema(description = "核销码")
    private String writeOffCode;

    @Schema(description = "是否核销 1.已核销 0.未核销")
    private Integer isWriteOff;

    @Schema(description = "核销时间")
    private Date writeOffTime;

    @Schema(description = "剩余核销次数 -1.无限次")
    private Integer writeOffMultipleCount;

    public Long getOrderVirtualInfoId() {
        return orderVirtualInfoId;
    }

    public void setOrderVirtualInfoId(Long orderVirtualInfoId) {
        this.orderVirtualInfoId = orderVirtualInfoId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }

    public String getWriteOffCode() {
        return writeOffCode;
    }

    public void setWriteOffCode(String writeOffCode) {
        this.writeOffCode = writeOffCode;
    }

    public Integer getIsWriteOff() {
        return isWriteOff;
    }

    public void setIsWriteOff(Integer isWriteOff) {
        this.isWriteOff = isWriteOff;
    }

    public Date getWriteOffTime() {
        return writeOffTime;
    }

    public void setWriteOffTime(Date writeOffTime) {
        this.writeOffTime = writeOffTime;
    }

    public Integer getWriteOffMultipleCount() {
        return writeOffMultipleCount;
    }

    public void setWriteOffMultipleCount(Integer writeOffMultipleCount) {
        this.writeOffMultipleCount = writeOffMultipleCount;
    }

    @Override
    public String toString() {
        return "OrderVirtualInfoVO{" +
                "orderVirtualInfoId=" + orderVirtualInfoId +
                ", orderId=" + orderId +
                ", shopId=" + shopId +
                ", stationId=" + stationId +
                ", writeOffCode='" + writeOffCode + '\'' +
                ", isWriteOff=" + isWriteOff +
                ", writeOffTime=" + writeOffTime +
                ", writeOffMultipleCount=" + writeOffMultipleCount +
                '}';
    }
}
